What would be the proper way to integrate this?

Book

FYI, it follows up here

It looks like the cam object is grouped and has been glued to a separate surface. You can trace the 2 lines and arc the top of the surface using the cam object as a template, then delete the surface created.
It would be helpful if you could share your .skp drawing here

1 Like

Here is the file for the fittings would love to see someone do this as far as The material it’s just two pieces of 3/4 Plywood Abdeckkappe versenkt 3D 10Fräser 15Bohrer.dxf (331.3 KB)

Perhaps this will help?

This is a screenshot of the original DXF … as imported into SketchUp.

It shows two “holes” … in two pieces of 3/4" plywood. If this is NOT correct … is the large “hole” (in the horizontal board) supposed to be in the “interior” of the board?

Not sure how the “big hole” might be fabricated in real life … but I do know how to model it.

Regardless, the workflow I describe below will work with any location of the two holes.

First … make Components (or Groups) of each of the two holes … components that SketchUp recognizes as solids. Then make a third Component that consists of both holes.

You can then place this “Holes” component anywhere you like along the joint between the two pieces of 3/4" plywood. And once the various instances of the component are located properly … select everything and use the Tools / Solid Tools / Subtract tool to create the voids (holes) in the plywood.

Here is a “Back Edges” view of two “Holes” … with 3" between them.

Obviously if the “holes” are in the interior of the plywood like this … you will have to separate everything to get a good view of what is going on.

Having done that (the separation) … here are the “holes” in the horizontal piece of plywood.

The “hole” on the left is after the “Subtract” … the one on the right has NOT yet been “subtracted.”

And here are the “holes” in the vertical piece of the plywood.

The “hole” on the right is after the “Subtract” … the one on the left has NOT yet been “subtracted.”

This seems like a lot of work. I suppose one advantage of placing a component that includes both holes is that it ensures that the hole pairs are aligned properly.

So there you have it. Here is a SKP file that includes all of the above:
240706A_How_To_Integrate.skp (131.4 KB)

Regards,

E. Godsey
GTA Design

2 Likes

I tested this on the web-browser version (mostly because I forgot it existed and I wanted to give it a shot). It all works.

@Ericg384, the instructions @egodsey provided will work, but instead of going to a ‘tools’ menu, you access solid tools (for adding and subtracting 3D shapes) via the right-click context menu. The interface will look very different for you when using the web version.

Also, Sketchup is very different from most other CAD or graphics programs, so here are a few tips that might help you when working on your model:

  1. Any time one line intersects or touches another line, they divide each other. Shapes on their own will deform if any object intersecting them is moved. And “solids” can’t have any interior lines, only the bounding 3D shape of an object. Anytime you create a shape that you want to manipulate, move, or copy independently of the rest of your model, you have to create a “Group”.

  2. Use groups. Group everything. Select all the lines and surfaces in your shape (triple click should do the trick), right click, and choose “group”. If you want to edit something inside a group, double click on it and it will open. If you want to ungroup it, “explode” it.

  3. Components are like groups, but more awesome. That cam screw/nut you have? If you make it a component, you can repeat it all over your model, and when you want to edit it, it will edit all the copies of it at once. If you don’t want a certain copy to remain the same as the rest, right click and choose “make unique”.

  4. Unfortunately Sketchup is not parametric nor does it have an editable history. I don’t know if you’ve used Fusion or Inventor, but Sketchup is the opposite of them, it’s a direct modeling product. When you add or subtract one shape with another shape, you will no longer be able to edit the two shapes independently. However, sketchup has a lot of strengths, and can be very powerful. Stick with it and you’ll quickly learn it.

1 Like

Just wanted to say thanks for all the help it is appreciated sorry for all the confusion of the Version I’m using.
I’m not using the browser version I’m using the trial version of 2024 I believe now when I go to export into it dwg file it’s Giving me this error. AcDbAttribute(4960C) HeiAcDbAttribute(4960F) HeiAcDbAttribute(5497E) HeiAcDbAttribute(54981) Hei I never had a problem before exporting these type of file what would causes?

1 Like

Is that error showing up in Sketchup when you export it or when you open the DWG after exporting?

When I tried converting the file from SketchUp to DWG file exporting says it’s exporting for a while and then that error just comes up

Thats interesting. I’ve had many issues with importing files into other programs (specifically with DXF if you don’t have the settings chosen just right). But I’ve not experienced that with exporting a file DWG or otherwise. In the export menu, there is a button labeled “options”. If you click it, try adjusting some of those settings, starting with the compatibility setting for the ‘AutoCAD Version’ and see if anything changes. Are you exporting a DWG as a 2D graphic or as a 3D graphic?

The fitting files are dxf that


I made a mould out and Deleted the original dxf file Maybe that has some To do it.
Abdeckkappe versenkt 3D 10Fräser 15Bohrer.dxf (331.3 KB)
it’s not allowing me to convert it over to DWG after importing the DXF fitting files

Both Sketchup Pro and Vectorworks had trouble exporting it at first. Vectorworks claimed there was a missing font reference, but it wasn’t on any layer that would show up in Sketchup or Vectorworks. Vectorworks remapped the font and it exported alright. For Sketchup I had to do the following (open your outliner pallet when doing so and you’ll see a bit of what’s going on):

  1. Ungroup the .dxf file
  2. Ungroup one component; regroup it as a group
  3. Ungroup the other component; regroup it as a group.
  4. Don’t group the two together
  5. Go to window > model info > statistics
  6. Make sure “entire model” is selected and “show nested components” is checked
  7. click “fix problems” and “purge unused”. I think only “purge unused” affected anything, but to be safe click them both.
  8. Export the 3D model as a DWG > click “options” in the save dialogue > Select AutoCAD 2010 (seems to be the most compatible with all software); and only have “faces” and “edges” checked.

For some reason I’m not able to upload screenshots or the file at this time. It just keeps buffering.

That Seemed to fix it thanks again for all your help.

1 Like

Glad it worked :slightly_smiling_face: